Skip to navigation

Create or update webhook

Create or update a webhook.

Authentication

AuthorizationBearer
Bearer token authentication. Tokens can be generated from the user account. Privileges needed may vary.
OR
Authorizationstring

A string representation of JWT containing at least two parameters:

ctx.user_id — user’s id

ctx.account_id — user’s default account id ctx.account_uid — user’s default account uid The usage of account_(u)id from JWT is discouraged, user can have access to multiple accounts, every endpoint has to be account aware if it’s needed.

This JWT must be signed by the appropriate authority.

Path parameters

form_idanyRequired

Unique ID for the form. Find in your form URL. For example, in the URL “https://mysite.typeform.com/to/u6nXL7” the form_id is u6nXL7.

tagstringRequired
Unique name you want to use for the webhook.

Request

The update webhook payload.
enabledbooleanOptional
True if you want to send responses to the webhook immediately. Otherwise, false.
secretstringOptional
If specified, will be used to sign the webhook payload with HMAC SHA256, so that you can verify that it came from Typeform.
urlstringOptional
Webhook URL.
verify_sslbooleanOptional
True if you want Typeform to verify SSL certificates when delivering payloads.

Response

OK
created_atstringOptional
Date and time when webhook was created. In ISO 8601 format, UTC time, to the second, with T as a delimiter between the date and time.
enabledbooleanOptional
True if you want to send responses to the webhook immediately. Otherwise, false.
form_idstringOptional
Unique ID for the typeform.
idstringOptional
Unique ID for the webhook.
secretstringOptional
If specified, will be used to sign the webhook payload with HMAC SHA256, so that you can verify that it came from Typeform.
tagstringOptional
Unique name you want to use for the webhook.
updated_atstringOptionalformat: "date"
Date of last update to webhook. In ISO 8601 format, UTC time, to the second, with T as a delimiter between the date and time.
urlstringOptional
Webhook URL.
verify_sslbooleanOptional
True if you want Typeform to verify SSL certificates when delivering payloads.